[zfs-discuss] Re: update-manager: zfs-dkms (0.6.0.54-1ubuntu1~oneiric1) ... failures

Obviously Erratic grantashman at gmail.com
Sat Mar 31 19:15:37 EDT 2012


Hi Darik,

I am receiving the same out come, using the daily PPA on 11.10 x64;

----

Setting up zfs-dkms (0.6.0.57-0ubuntu1~oneiric1) ...
Removing old zfs-0.6.0.57 DKMS files...

-------- Uninstall Beginning --------
Module:  zfs
Version: 0.6.0.57
Kernel:  3.0.0-17-server (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this
kernel.

zavl.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.0.0-17-server/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module
version.


zcommon.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.0.0-17-server/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module
version.


znvpair.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.0.0-17-server/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module
version.


zpios.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.0.0-17-server/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module
version.


zunicode.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.0.0-17-server/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module
version.


zfs.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.0.0-17-server/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module
version.

depmod....

DKMS: uninstall Completed.

------------------------------
Deleting module version: 0.6.0.57
completely from the DKMS tree.
------------------------------
Done.
Loading new zfs-0.6.0.57 DKMS files...
Building only for 3.0.0-17-server
Building initial module for 3.0.0-17-server
Done.

zavl:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.0.0-17-server/updates/dkms/

zcommon.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.0.0-17-server/updates/dkms/

znvpair.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.0.0-17-server/updates/dkms/

zpios.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.0.0-17-server/updates/dkms/

zunicode.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.0.0-17-server/updates/dkms/

zfs.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.0.0-17-server/updates/dkms/

depmod....

DKMS: install Completed.
dpkg: error processing zfs-dkms (--configure):
 subprocess installed post-installation script returned error exit
status 1
Errors were encountered while processing:
 zfs-dkms
E: Sub-process /usr/bin/dpkg returned an error code (1)

----

Any ideas on how to solve?

Cheers
Grant


On Mar 30, 3:44 am, Darik Horn <dajh... at vanadac.com> wrote:
> On Thu, Mar 29, 2012 at 11:31, Derek Day <dayenterpri... at gmail.com> wrote:
>
> > dracut.................(bad exit status: 1)
>
> I'm not maintaining the zfs-dracut package that was published for the
> ZoL 0.5 release series, and it is disabled in current PPA builds.
> Please use zfs-initramfs instead.
>
> Past that, the transcript suggests that two dkms processes stepping on
> each other near the "installArchives() failed" line, which doesn't
> happen on a vanilla system.  Please mention any customizations or
> upstream components that are installed on this computer.
>
> --
> Darik Horn <dajh... at vanadac.com>



More information about the zfs-discuss mailing list